#include <bits/stdc++.h>

using namespace std;


  long long pomocni[1000005];
  long long niz[1000005];


int main()
{
  long long  n,k;
 long long polje,indeks,count=0;
  
  cin>>n>>k;
  

  for(int i=1;i<=n;i++) //unosi pogotke
  {
     cin>>polje;       //lazni indeks
     indeks=polje+n; //pravi indeks
     niz[indeks]=polje;

     pomocni[indeks]=pomocni[indeks]+1;
     
     if(pomocni[indeks]==k) 
     {
         count++;
         
     }

  }

  cout<<count<<"\n";

for(int j=0;j<2*n;j++)
if(pomocni[j]>=k)
cout<<niz[j]<<" ";

}